MKFIFO(1)

NAME
mkfifo - make FIFOs

SYNOPSIS
mkfifo [-m mode] fifo_name ...

DESCRIPTION
mkfifo creates the FIFOs requested, in the order specified, using mode 0666 modified by the current umask(2). It requires write permission in the parent directory.

The options are as follows:

-m mode
    Set the file permission bits of newly created FIFOs to mode. The mode argument can be in any of the formats specified to the chmod(1) utility. If a symbolic mode is specified, the operators ‘+’ and ‘-’ are interpreted relative to an initial mode of “a=rw”.

EXIT STATUS

SEE ALSO
mkdir(1), rm(1), mkfifo(2), mknod(8)

STANDARDS
The mkfifo utility is compliant with the p1003.1-2008 specification.

HISTORY
The mkfifo command appeared in 4.4BSD.